com.jscape.inet.mft.management.descriptors

## Class DirectoryMonitorServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.DirectoryMonitorServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class DirectoryMonitorServiceDescriptor
      extends ServiceDescriptor

  Directory monitor service descriptor. The service described by this descriptor takes responsibility for directory monitoring.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryMonitorServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `DirectoryMonitorServiceDescriptor(DirectoryMonitor[] monitors)` Creates a new descriptor instance.
    `DirectoryMonitorServiceDescriptor(DirectoryMonitorServiceDescriptor that)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `DirectoryMonitor[]` | `getMonitors()` Returns monitors.
    `void` | `setMonitors(DirectoryMonitor[] value)` Sets monitors.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryMonitorServiceDescriptor

          public DirectoryMonitorServiceDescriptor(DirectoryMonitor[] monitors)

      Creates a new descriptor instance.
      Parameters:
        `monitors` - monitors

    - #### DirectoryMonitorServiceDescriptor

          public DirectoryMonitorServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

    - #### DirectoryMonitorServiceDescriptor

          public DirectoryMonitorServiceDescriptor(DirectoryMonitorServiceDescriptor that)

      Copy constructor.
      Parameters:
        `that` - instance to copy

  - ### Method Detail

    - #### getMonitors

          public DirectoryMonitor[] getMonitors()

      Returns monitors.
      Returns:
        monitors

    - #### setMonitors

          public void setMonitors(DirectoryMonitor[] value)

      Sets monitors.
      Parameters:
        `value` - the monitors

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved